# Refresh a webhook

`POST https://api.airtable.com/v0/bases/{baseId}/webhooks/{webhookId}/refresh`

Extend the life of a webhook. The new expiration time will be 7 days after the refresh time.

Note that this endpoint only applies to active webhooks with an expiration time.

**Creator level permissions are required in order to refresh a webhook.**

## Requirements

- **Authentication:** [Personal access token](https://airtable.com/developers/web/api/authentication.md#types-of-token), [OAuth integration](https://airtable.com/developers/web/api/authentication.md#types-of-token)
- **Scope:** [`webhook:manage`](https://airtable.com/developers/web/api/scopes.md#webhook-manage)
- **User role:** Base creator
- **Billing plans:** All plans

## Path parameters

- `baseId: string`

- `webhookId: string`

## Response format

- `expirationTime: string | null` — required

  The new time when the webhook will expire and be disabled in the ISO format.

### Example — Success response

```sh
curl -X POST "https://api.airtable.com/v0/bases/{baseId}/webhooks/{webhookId}/refresh" \
-H "Authorization: Bearer YOUR_TOKEN"
```

```json
{
  "expirationTime": "2023-01-30T00:00:00.000Z"
}
```
